Al tratar de importar el proyecto lib de Android desde git hub, obtengo un error: no se encuentra la configuration con el nombre 'default'. (fotos incluidas)

Hola, bash importar este https://github.com/jfmdev/afiledialog o https://github.com/iPaulPro/aFileChooser

Recibo el mismo post a pesar de que uno intente importar … se puede ver que ambos están en la lib. en este momento mis gradles solo están tratando de importar afiledialog (lib1) Me imaginé que esto era mejor porque tiene sus propios gradles y aFileChooser no (y la explicación de cómo hacer un FileChooser sería útil también)

mis aplicaciones de bajo nivel build.gradle:

apply plugin: 'com.android.application' android { compileSdkVersion 22 buildToolsVersion "22.0.1" defaultConfig { applicationId "com.example.ianz.onionmusic" minSdkVersion 9 targetSdkVersion 22 versionCode 1 versionName "1.0" } buildTypes { release { minifyEnabled false proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.pro' } } 

}

 dependencies { compile fileTree(include: ['*.jar'], dir: 'libs') compile 'com.android.support:appcompat-v7:22.2.0' compile project(':lib:lib1') 

}

nivel superior settings.gradle:

 include ':app' include ':lib:lib1' 

Pruebe esto en la configuration de nivel superior.gradle

 include ':lib1', 'app' project(':lib1').projectDir = new File('lib/lib1') 

Su aplicación settings.gradle

 dependencies { ... compile project(':lib1') } 
Intereting Posts